ScreenMenu.title = "Main Menu";
menuMovies = ScreenMenu:addMovies("Movies");
menuImages = ScreenMenu:addImages("Images");
menuAudio = ScreenMenu:addAudio("Audio");
menu3DCharts = ScreenMenu:addCharts("3D Chart");
menuDisplay = ScreenMenu:addMenu("Display Settings");
  menuPlanets = menuDisplay:addMenu("Planets");
    menuPlanets:addAction("Display", "Planets:toggle();", "Planets.visible;");
    menuPlanets:addAction("Names", "Planets:toggleLabels();", "Planets.labels;");
    menuPlanets:addAction("Orbits", "Planets:toggleOrbits();", "Planets.orbits;");
    menuPlanets:addAction("Axis of Rotation", "Planets:toggleAxes();", "Planets.axes;");
    menuAtmos = menuPlanets:addMenu("Atmosphere");
      menuAtmos:addAction("None", "Planets.atmosphere=mtk.ATMOS_NONE;", "Planets.atmosphere==mtk.ATMOS_NONE;");
      menuAtmos:addAction("Single Scattering", "Planets.atmosphere=mtk.ATMOS_SINGLE;", "Planets.atmosphere==mtk.ATMOS_SINGLE;");
      menuAtmos:addAction("Multiple Scattering", "Planets.atmosphere=mtk.ATMOS_MULTIPLE;", "Planets.atmosphere==mtk.ATMOS_MULTIPLE;");
    menuPlanets:addAction("Cloud", "Planets:toggleClouds();", "Planets.clouds;");
    menuPlanets:addAction("City Lights", "Planets:toggleCityLights();", "Planets.cityLights;");
    menuShadows = menuPlanets:addMenu("Shadow of Moon");
      menuShadows:addAction("Display", "Planets:toggleShadows();", "Planets.shadows;");
      menuShadows:addAction("Borders of Umbra/Penumbra", "Planets:toggleShadowBorders();", "Planets.shadowBorders;");
    menuScale = menuPlanets:addMenu("Zoom Rate");
      menuScale:addAction("Real Scale", "Planets.scale=0);", "Planets.scale==0;");
      menuScale:addAction("Zoom 1", "Planets.scale=1);", "Planets.scale==1;");
      menuScale:addAction("Zoom 2", "Planets.scale=2);", "Planets.scale==2;");
      menuScale:addAction("Zoom 3", "Planets.scale=3);", "Planets.scale==3;");
    menuTopoScale = menuPlanets:addMenu("Amplification of Topography");
      menuTopoScale:addAction("Real Scale", "Planets.topoAmplification=0;", "Planets.topoAmplification==0;");
      menuTopoScale:addAction("x2", "Planets.topoAmplification=1;", "Planets.topoAmplification==1;");
      menuTopoScale:addAction("x5", "Planets.topoAmplification=2;", "Planets.topoAmplification==2;");
      menuTopoScale:addAction("x10", "Planets.topoAmplification=3;", "Planets.topoAmplification==3;");
      menuTopoScale:addAction("x20", "Planets.topoAmplification=4;", "Planets.topoAmplification==4;");
    menuLanding = menuPlanets:addMenu("Landing Mode");
      menuLanding:addAction("Horizontal", "Camera.landingMode = mtk.HORIZONTAL;", "Camera.landingMode==mtk.HORIZONTAL;");
      menuLanding:addAction("Surface View", "Camera.landingMode = mtk.SURFACEVIEW;", "Camera.landingMode==mtk.SURFACEVIEW;");
  menuSatellites = menuDisplay:addMenu("Satellites");
    menuSatellites:addAction("Display", "Satellites:toggle();", "Satellites.visible;");
    menuSatellites:addAction("Names", "Satellites:toggleLabels();", "Satellites.labels;");
    menuSatellites:addAction("Orbits", "Satellites:toggleOrbits();", "Satellites.orbits;");
    menuSatellites:addAction("Selected Satellites Only", "Satellites:toggleSelectedOnly();", "Satellites.selectedOnly;");
  menuMinorPlanets = menuDisplay:addMenu("Minor Planets");
    menuMinorPlanets:addAction("Display", "MinorPlanets:toggle();", "MinorPlanets.visible;");
    menuMinorPlanets:addAction("Names", "MinorPlanets:toggleLabels();", "MinorPlanets.labels;");
    menuMinorPlanets:addAction("Orbits", "MinorPlanets:toggleOrbits();", "MinorPlanets.orbits;");
    menuMinorPlanets:addAction("Selected Orbits Only", "MinorPlanets:toggleSelectedOnly();", "MinorPlanets.selectedOnly;");
  menuTNObjects = menuDisplay:addMenu("Transneptunian Objects");
    menuTNObjects:addAction("Display", "TNObjects:toggle();", "TNObjects.visible;");
    menuTNObjects:addAction("Names", "TNObjects:toggleLabels();", "TNObjects.labels;");
    menuTNObjects:addAction("Orbits", "TNObjects:toggleOrbits();", "TNObjects.orbits;");
    menuTNObjects:addAction("Selected Objects Only", "TNObjects:toggleSelectedOnly();", "TNObjects.selectedOnly;");
    menuTNObjects:addAction("Oort Cloud", "TNObjects:toggleOort();", "TNObjects.oort;");
  menuStars = menuDisplay:addMenu("Stars");
    menuStars:addAction("Display Stars", "Stars:toggle();", "Stars.visible;");
    menuStars:addAction("Proper Name", "Stars:toggleLabels();", "Stars.labels;");
    menuStars:addAction("Selected Proper Name", "Stars:toggleSelectedLabels();", "Stars.selectedLabels;");
    menuStars:addAction("Bayer Name", "Stars:toggleBayerLabels();", "Stars.bayerLabels;");
    menuStars:addAction("Flamsteed Number", "Stars:toggleFlamsteedLabels();", "Stars.flamsteedLabels;");
    menuStars:addAction("HIP Number", "Stars:toggleHipLabels();", "Stars.hipLabels;");
    menuStars:addAction("Brighten", "Stars:brighten();");
    menuStars:addAction("Darken", "Stars:darken();");
    menuStars:addAction("Default Brightness", "Stars:defaultBrightness();");
    menuMark = menuDisplay:addMenu("Mark");
      menuMark:addAction("None", "Stars.markingType='None';", "Stars.markingType=='None';");
      menuMark:addAction("Binary Stars", "Stars.markingType='Binary';", "Stars.markingType=='Binary';");
      menuMark:addAction("Stars with Exoplanets", "Stars.markingType='ExoPlanets';", "Stars.markingType=='ExoPlanets';");
  menuConstels = menuDisplay:addMenu("Constellations");
    menuConstels:addAction("Names", "Constels:toggleLabels();", "Constels.labels;");
    menuConstels:addAction("Lines", "Constels:toggleLines();", "Constels.lines;");
    menuConstels:addAction("Illustrations", "Constels:toggleIllusts();", "Constels.illusts;");
    menuConstels:addAction("Boundaries", "Constels:toggleBounds();", "Constels.bounds;");
  menuSpaceCrafts = menuDisplay:addMenu("Spacecrafts");
    menuSpaceCrafts:addAction("Orbits", "Spacecrafts:toggleOrbits();", "Spacecrafts.orbits;");
  menuMilkyway = menuDisplay:addMenu("Milky Way");
    menuMilkyway:addAction("None", "Milkyway.type='None';", "Milkyway.type=='None';");
    menuMilkyway:addAction("Milky Way", "Milkyway.type='Normal';", "Milkyway.type=='Normal';");
    menuMilkyway:addAction("Bright Milky Way", "Milkyway.type='Bright';", "Milkyway.type=='Bright';");
    menuMilkyway:addAction("Infared Milky Way", "Milkyway.type='Infrared';", "Milkyway.type=='Infrared';");
  menuGalaxies = menuDisplay:addMenu("Galaxies");
    menuGalaxies:addAction("Our Galaxy", "Galaxies:toggleOurGalaxy();", "Galaxies.ourGalaxy;");
    menuGalaxies:addAction("Globular Clusters", "Galaxies:toggleGlobularClusters();", "Galaxies.globularClusters;");
    menuGalaxies:addAction("NGC Objects", "Galaxies:toggleNGCs();", "Galaxies.NGCs;");
    menuGalaxies:addAction("Nearby Galaxies", "Galaxies:toggleNearbyGalaxies();", "Galaxies.nearbyGalaxies;");
    menuGalaxies:addAction("SDSS Galaxies", "Galaxies:toggleDistantGalaxies();", "Galaxies.distantGalaxies;");
    menuGalaxies:addAction("SDSS QSOs", "Galaxies:toggleQuasars();", "Galaxies.quasars;");
  menuGrids = menuDisplay:addMenu("Grid");
    menuGrids:addAction("Equatorial Grid", "Grids:toggleEquatorial();", "Grids.equatorial;");
    menuGrids:addAction("Ecliptic", "Grids:toggleEcliptic();", "Grids.ecliptic;");
    menuGrids:addAction("Horizontal Coordinate", "Grids:toggleHorizontal();", "Grids.horizontal;");
    menuGrids:addAction("Galactic Coordinate", "Grids:toggleGalactic();", "Grids.galactic;");
    menuGrids:addAction("Scale Circles", "Grids:toggleCircleScales();", "Grids.circleScales;");
    menuGrids:addAction("Scale Squares", "Grids:toggleSquareScales();", "Grids.squareScales;");
  menuDisplay:addAction("Reset View Angle", "Camera.fov=45.0;");
  menuDisplay:addAction("Headlight", "Camera:toggleHeadLight();", "Camera.headLight;");
  menuDisplay:addAction("Surface Pointer", "Grids:toggleSurfacePointer();", "Grids.surfacePointer;");
  menuDisplay:addAction("View Info", "Camera:toggleViewInfo();", "Camera.viewInfo;");
menuTarget = ScreenMenu:addMenu("Target");
  menuTargetSsystem = menuTarget:addMenu("Solar System Objects");
    menuTargetSsystem:addAction("Sun", "Camera.targetName='Ssystem.Sun';", "Camera.targetName=='Ssystem.Sun';");
    menuTargetSsystem:addAction("Mercury", "Camera.targetName='Ssystem.Mercury';", "Camera.targetName=='Ssystem.Mercury';");
    menuTargetSsystem:addAction("Venus", "Camera.targetName='Ssystem.Venus';", "Camera.targetName=='Ssystem.Venus';");
    menuTargetSsystem:addAction("Earth", "Camera.targetName='Ssystem.Earth';", "Camera.targetName=='Ssystem.Earth';");
    menuTargetSsystem:addAction("Mars", "Camera.targetName='Ssystem.Mars';", "Camera.targetName=='Ssystem.Mars';");
    menuTargetSsystem:addAction("Jupiter", "Camera.targetName='Ssystem.Jupiter';", "Camera.targetName=='Ssystem.Jupiter';");
    menuTargetSsystem:addAction("Saturn", "Camera.targetName='Ssystem.Saturn';", "Camera.targetName=='Ssystem.Saturn';");
    menuTargetSsystem:addAction("Uranus", "Camera.targetName='Ssystem.Uranus';", "Camera.targetName=='Ssystem.Uranus';");
    menuTargetSsystem:addAction("Neptune", "Camera.targetName='Ssystem.Neptune';", "Camera.targetName=='Ssystem.Neptune';");
    menuTargetSsystem:addAction("Pluto", "Camera.targetName='TNObject.Pluto';", "Camera.targetName=='TNObject.Pluto';");
    menuTargetSsystem:addAction("Eris", "Camera.targetName='TNObject.Eris';", "Camera.targetName=='TNObject.Eris';");
    menuTargetSsystem:addAction("Sedna", "Camera.targetName='TNObject.Sedna';", "Camera.targetName=='TNObject.Sedna';");
    menuTargetSsystem:addAction("Moon", "Camera.targetName='Satellite.Moon';", "Camera.targetName=='Satellite.Moon';");
    menuTargetSsystem:addAction("Io", "Camera.targetName='Satellite.Io';", "Camera.targetName=='Satellite.Io';");
  menuTargetSpaceCrafts = menuTarget:addMenu("Spacecraft");
    menuTargetSpaceCrafts:addAction("Pioneer10", "Camera.targetName='Spacecraft.Pioneer10';", "Camera.targetName=='Spacecraft.Pioneer10';");
    menuTargetSpaceCrafts:addAction("Pioneer11", "Camera.targetName='Spacecraft.Pioneer11';", "Camera.targetName=='Spacecraft.Pioneer11';");
    menuTargetSpaceCrafts:addAction("Voyager I", "Camera.targetName='Spacecraft.Voyager1';", "Camera.targetName=='Spacecraft.Voyager1';");
    menuTargetSpaceCrafts:addAction("Voyager II", "Camera.targetName='Spacecraft.Voyager2';", "Camera.targetName=='Spacecraft.Voyager2';");
    menuTargetSpaceCrafts:addAction("Cassini", "Camera.targetName='Spacecraft.Cassini';", "Camera.targetName=='Spacecraft.Cassini';");
  menuTargetStars = menuTarget:addMenu("Stars");
    menuTargetStars:addAction("Alpha Centauri", "Camera.targetName='Star.AlphaCentauri';", "Camera.targetName=='Star.AlphaCentauri';");
    menuTargetStars:addAction("Sirius", "Camera.targetName='Star.Sirius';", "Camera.targetName=='Star.Sirius';");
    menuTargetStars:addAction("Pleiades", "Camera.targetName='Star.Subaru';", "Camera.targetName=='Star.Subaru';");
    menuTargetStars:addAction("Castor", "Camera.targetName='Star.Castor';", "Camera.targetName=='Star.Castor';");
  menuTargetOuter = menuTarget:addMenu("Extragalactic Objects");
    menuTargetOuter:addAction("M13", "Camera.targetName='M13';", "Camera.targetName=='M13';");
    menuTargetOuter:addAction("Galactic Center", "Camera.targetName='Galaxies.OurGalaxyCenter';", "Camera.targetName=='Galaxies.OurGalaxyCenter';");
    menuTargetOuter:addAction("Complete View of Our Galaxy", "Camera.targetName='Galaxies.OurGalaxy';", "Camera.targetName=='Galaxies.OurGalaxy';");
    menuTargetOuter:addAction("Andromeda Galaxy", "Camera.targetName='Galaxies.M31';", "Camera.targetName=='Galaxies.M31';");
    menuTargetOuter:addAction("Virgo Cluster", "Camera.targetName='Galaxies.VirgoCluster';", "Camera.targetName=='Galaxies.VirgoCluster';");
    menuTargetOuter:addAction("Large Scale Structure of the Universe", "Camera.targetName='Galaxies.LSS';", "Camera.targetName=='Galaxies.LSS';");
  menuTarget:addAction("Go to the Target", "Camera:jumpToTarget();");
ScreenMenu:addAction("Go to the Target", "Camera:jumpToTarget();");
ScreenMenu:addAction("Go to Earth", "Camera.targetName='Ssystem.Earth';");
ScreenMenu:addAction("Complete View of Solar System", "Camera.targetName='Ssystem.Earth';Camera.zoom=2.04e-3;");
ScreenMenu:addAction("Go to Pleiades", "Camera.targetName='Star.Subaru';");
ScreenMenu:addAction("Landing on Home", "Camera:jumpToHome();");
menuTime = ScreenMenu:addMenu("Time");
  menuTime:addAction("Display Date", "Time:toggleTimeInfo();", "Time.timeInfo;");
  menuTime:addAction("Set to Present Time", "Time:setCurrent();");
  menuTimeStep = menuTime:addMenu("Time Step");
    menuTimeStep:addAction("10 sec", "Time.step=mtk.STEP_10SEC;", "Time.step==mtk.STEP_10SEC;");
    menuTimeStep:addAction("1 min", "Time.step=mtk.STEP_MIN;", "Time.step==mtk.STEP_MIN;");
    menuTimeStep:addAction("10 min", "Time.step=mtk.STEP_10MIN;", "Time.step==mtk.STEP_10MIN;");
    menuTimeStep:addAction("1 hour", "Time.step=mtk.STEP_HOUR;", "Time.step==mtk.STEP_HOUR;");
    menuTimeStep:addAction("1 day", "Time.step=mtk.STEP_DAY;", "Time.step==mtk.STEP_DAY;");
    menuTimeStep:addAction("1 month", "Time.step=mtk.STEP_MONTH;", "Time.step==mtk.STEP_MONTH;");
    menuTimeStep:addAction("1 year", "Time.step=mtk.STEP_YEAR;", "Time.step==mtk.STEP_YEAR;");
    menuTimeStep:addAction("10 years", "Time.step=mtk.STEP_10YEAR;", "Time.step==mtk.STEP_10YEAR;");
    menuTimeStep:addAction("100 years", "Time.step=mtk.STEP_100YEAR;", "Time.step==mtk.STEP_100YEAR;");
  menuTime:addAction("Realtime Mode", "Time:toggleRealtime();", "Time.realtime;");
menuSystem = ScreenMenu:addMenu("System");
  menuQuality = menuSystem:addMenu("Visual Quality");
    menuSmooth = menuQuality:addMenu("Smoothing");
      menuSmooth:addAction("Point Smoothing", "Renderer:togglePointSmooth();", "Renderer.pointSmooth;");
      menuSmooth:addAction("Line Smoothing", "Renderer:toggleLineSmooth();", "Renderer.lineSmooth;");
  menuLanguage = menuSystem:addMenu("Language");
    menuLanguage:addAction("Japanese with Kana Reading", "System.language='Japanese_Ruby';", "System.language=='Japanese_Ruby';");
    menuLanguage:addAction("Japanese", "System.language='Japanese';", "System.language=='Japanese';");
    menuLanguage:addAction("English", "System.language='English';", "System.language=='English';");
  menuFontSize = menuSystem:addMenu("Text Size");
    menuFontSize:addAction("Largest", "System.fontScale=3.0;", "System.fontScale==3.0;");
    menuFontSize:addAction("Larger", "System.fontScale=2.0;", "System.fontScale==2.0;");
    menuFontSize:addAction("Middle", "System.fontScale=1.4;", "System.fontScale>1.3 and System.fontScale<1.5;");
    menuFontSize:addAction("Smaller", "System.fontScale=1.0;", "System.fontScale==1.0;");
    menuFontSize:addAction("Smallest", "System.fontScale=0.6;", "System.fontScale==0.6;");
  menuSystem:addAction("FullScreen Mode", "System:toggleFullScreen();", "System.fullScreen;");
  menuSystem:addAction("Title", "System:toggleApplicationInfo()", "System.applicationInfo;");
  menuSystem:addAction("Version Info", "System:toggleVersionInfo();", "System.versionInfo;");
  menuSystem:addAction("Debug Info", "System:toggleDebugInfo();", "System.debugInfo;");
  menuSystem:addAction("Only Right Eye Image", "System.stereoType='None';", "System.stereoType=='None';");
  menuSystem:addAction("Exit All", "GUI:quit();");
