function toggleLabels()

  flag = false;
  if (not Time.timeInfo) or (not Stars.labels) or (not Planets.labels) or
     (not Constels.labels) or (not Constels.lines) then
     flag = true;
  end

  if Camera.mode == mtk.PLANETARIUM then
    Grids.ecliptic = flag;
    Constels.labels = flag;
    Constels.lines = flag;
  else
    Grids.circleScales = flag;
  end

  Time.timeInfo = flag;
  Stars.labels = flag;
  Planets.labels = flag;
  Satellites.labels = flag;
  MinorPlanets.labels = flag;
  TNObjects.labels = flag;

end

Input:addShortcut("X", false, "ScreenMenu:enter();", "XN[j[JEs");
Input:addShortcut("Z", false, "ScreenMenu:cancel();", "LZ");
Input:addShortcut("ENTER", false, "ScreenMenu:enter();", "XN[j[JEs");
Input:addShortcut("ESC", false, "ScreenMenu:cancel();", "LZ");
Input:addShortcut("UP", true, "Input:up();", "]AXN[j[I");
Input:addShortcut("DOWN", true, "Input:down();", "]AXN[j[I");
Input:addShortcut("LEFT", true, "Input:left();", "]");
Input:addShortcut("RIGHT", true, "Input:right();", "]");
Input:addShortcut("PAGEUP", true, "Input:zoomUp();", "Y[C");
Input:addShortcut("PAGEDOWN", true, "Input:zoomDown();", "Y[AEg");
Input:addShortcut("CTRL+LEFT", true, "Input:rollLeft();", "ɌXiFԃ[hj");
Input:addShortcut("CTRL+RIGHT", true, "Input:rollRight();", "EɌXiFԃ[hj");
Input:addShortcut("4", true, "Time:forward();", "i߂");
Input:addShortcut("3", true, "Time:rewind();", "߂");
Input:addShortcut("SHIFT+4", false, "Time:nextStep();", "݂𒷂iő100Nj");
Input:addShortcut("SHIFT+3", false, "Time:prevStep();", "݂Ziŏ10bj");
Input:addShortcut("A", false, "toggleLabels();", "x̕\E\");
Input:addShortcut("S", false, "Camera:toggleMode();", "F֔яoEn֒");
Input:addShortcut("W", false, "Titles.index=0; Titles:toggle();", "Gh[\");
Input:addShortcut("Q", false, "Pointer:toggle();", "|C^E[hɈڍs");
Input:addShortcut("L", false, "Planets:toggleCityLights();", "i\̐؂ւ");
Input:addShortcut("F", false, "System:toggleFPSInfo();", "FPS̕\E\");
Input:addShortcut("F1", false, "Input:toggleHelpInfo();", "V[gJbgL[wv̕\E\");

-- for ELECOM PS2/USB CONVERTER
Input:addShortcut("JSBUTTON2", false, "Movies:togglePlaying();ScreenMenu:enter();", "XN[j[JEs/[r[̍ĐE~");
Input:addShortcut("JSBUTTON3", false, "ScreenMenu:cancel();", "LZ");
Input:addShortcut("JSBUTTON1", false, "Camera:toggleMode();", "F֔яoEn֒");
Input:addShortcut("JSBUTTON4", false, "toggleLabels();", "x̕\E\");
Input:addShortcut("JSBUTTON7", false, "if not Movies.visible then Time:rewind(); else Movies.frame=Movies.frame-Movies.frameLength/10; end", "߂/[r[1/10߂");
Input:addShortcut("JSBUTTON8", false, "if not Movies.visible then Time:forward(); else Movies.frame=Movies.frame+Movies.frameLength/10; end", "i߂/[r[1/10i߂");
Input:addShortcut("JSBUTTON9", false, "Titles.index=0; Titles:toggle();", "Gh[A^Cg\");
Input:addShortcut("JSBUTTON10", false, "Pointer:toggle();", "|C^E[hɈڍs");
Input:addShortcut("JSBUTTON5", false, "Movies.frame=0;", "[r[̐擪Ɉړ");
Input:addShortcut("JSBUTTON6", false, "Movies.frame=Movies.frameLength;", "[r[̍ŌɈړ");
Input:addShortcut("JSBUTTON12", false, "^[Qbgt߂Ɉړ", "Camera:jumpToTarget();");

-- for SANWA SUPPLY PS2/USB CONVERTER
-- Input:addShortcut("JSBUTTON2", false, "Movies:togglePlaying();ScreenMenu:enter();", "XN[j[JEs/[r[̍ĐE~");
-- Input:addShortcut("JSBUTTON1", false, "ScreenMenu:cancel();", "LZ");
-- Input:addShortcut("JSBUTTON4", false, "Camera:toggleMode();", "F֔яoEn֒");
-- Input:addShortcut("JSBUTTON3", false, "toggleLabels();", "x̕\E\");
-- Input:addShortcut("JSBUTTON5", false, "if not Movies.visible then Time:rewind(); else Movies.frame=Movies.frame-Movies.frameLength/10; end", "߂/[r[1/10߂");
-- Input:addShortcut("JSBUTTON7", false, "if not Movies.visible then Time:forward(); else Movies.frame=Movies.frame+Movies.frameLength/10; end", "i߂/[r[1/10i߂");
-- Input:addShortcut("JSBUTTON10", false, "Titles.index=0; Titles:toggle();", "Gh[A^Cg\");
-- Input:addShortcut("JSBUTTON9", false, "Pointer:toggle();", "|C^E[hɈڍs");
-- Input:addShortcut("JSBUTTON6", false, "Movies.frame=0;", "[r[̐擪Ɉړ");
-- Input:addShortcut("JSBUTTON8", false, "Movies.frame=Movies.frameLength;", "[r[̍ŌɈړ");
-- Input:addShortcut("JSBUTTON12", false, "^[Qbgt߂Ɉړ", "Camera:jumpToTarget();");
